/**
 * This is the producer class that controls eveything.
 * @author borlaj
 *
 */
public class Producer {
    private int money;
    private Juggler myJuggler;
    private Acrobat[] myAcrobats=new Acrobat[3];
    private AudienceDirector myAudienceDirector;

    public Producer(int money, int balls) {	
        this.money = money;	
        myJuggler=new Juggler(balls);
        myAcrobats[0]=new DancingAcrobat();
        myAcrobats[1]=new SpinningAcrobat();
        myAcrobats[2]=new SpinningAcrobat();
        myAudienceDirector=new AudienceDirector();

    }

    public int getMoney() {
        return money;
    }

    public void act(int money)
    {
        if (money>5)
        {
            myJuggler.juggle();
            for (int i=0;i<myAcrobats.length;i++)
            {
                myAcrobats[i].act();
                myAcrobats[i].jump();
            }
            myAudienceDirector.makeClap();
            this.money+=money;
        }
        else 
        {
            System.out.println("Sorry the producer needs more than $5 to start the play");
        }
    }

    public boolean addAudienceMember()
    {
        return myAudienceDirector.addMember();
    }
}

